#!/usr/bin/env python
"USAGE %s <pkint file> <g file> <pdb file> <minimum interaction strength>"

import sys
import os

#Error Checking
str=0.6
if len(sys.argv)==5:
	str=sys.argv[4]
if len(sys.argv)<4:
	print __doc__ % sys.argv[0]
	raise SystemExit
assert os.path.exists(sys.argv[1]),".pkint file not found"
assert os.path.exists(sys.argv[2]),".g file not found"
assert os.path.exists(sys.argv[3]),"pdb file not found"

#queue up the programs to run
in1,out1 = os.popen2("sed -e 's/-/ /' %s" % sys.argv[1])
in2,out2 = os.popen2("./pyScripts %s %s" % (sys.argv[2],str))

#Reverse the comments on the next two lines to have rasmol automatically run
#in3,out3 = os.popen2("rasmol %s" % sys.argv[3])
in3=open("drawscript","w")

#execute the piping
in2.write(out1.read())
in2.close()

#parse the output of pyScripts
append=''
while 1:
	line=out2.readline()
	if not line: break
	(ri,rin,rj,rjn,rnsi,rnsj,bw,redness) = line.split()
	ingrep,outgrep = os.popen2("grep '^ATOM *[0-9]* *CA *%s[A ]*%s' %s | awk '{printf $2}'" % (ri,rin,sys.argv[3]));
	startnum=outgrep.read()
	ingrep,outgrep = os.popen2("grep '^ATOM *[0-9]* *CA *%s[A ]*%s' %s | awk '{printf $2}'" % (rj,rjn,sys.argv[3]));
	endnum=outgrep.read()
	in3.write("bond %s %s\n" % (startnum,endnum))
	append += "select %s.CA,%s.CA\n" % (rnsi,rnsj)
	append += "wireframe %s\n" % bw
	append += "color bonds [%s,%s,0]\n" % (255-int(redness),redness)
	append += "select %s.CA,%s.CA\n" % (rnsi,rnsj)
	append += "label %n-%R\n"
	append += "color label blue\n"
	
in3.write("wireframe off\nstrands on\ncolor black\nbackground white\nset fontstroke 1\nset fontsize 12\n");
in3.write(append)
in3.write("select all")
